### ManageColormapEditor

Category

Interface Control

Function

Allows colormap editors to be opened and closed from within a visual program.

Syntax

Available only in the user interface.

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`name` | string | no default | name of the colormap editor(s) to be opened or closed
`open` | flag, flag list, or string list | 0 | 0: close the colormap editor(s) 1: open the colormap editor(s)
`how` | string or string list | "title" | open or close the colormap editor(s) by title or label

Functional Details

`name` | specifies the name(s) of the colormap editor(s) to be opened.
`open` | determines whether the specified editor(s) will be opened (1) or closed (0). The effect of this parameter depends on the type of argument supplied: If the argument is a single integer, all the specified Colormap editors will either be opened or they will all be closed. If the argument is an integer list, it must have the same number of items as the list of strings given in `name`, and the flags are associated one-to-one with the named editors. If the argument is a string list, the Colormap editors listed in `open` will be opened, and those listed in `name` but not in `open` will be closed.
`how` | if specified, determines how the `name` parameter is to be interpreted:
"title": | the name specified is the title of the colormap editor (accessible through the `Change Colormap Name` option in the `Option` pull-down menu of the Colormap Editor) or the `title` parameter of the Colormap tool.
"label": | the name specified is the label of the colormap editor (accessible the `Notation` field of the Colormap Editor configuration dialog box).

Example Visual Program InterfaceControl1.net

See Also Execute, ManageControlPanel, ManageImageWindow, ManageSequencer

[ OpenDX Home at IBM | OpenDX.org ]